Bug 1288080 - Livemedia Creator
Livemedia Creator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 07:52 EST by Jan Kurik
Modified: 2016-09-29 07:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-12-03 07:52:19 EST
This is a tracking bug for Change: Livemedia Creator
For more details, see: https://fedoraproject.org//wiki/Changes/LivemediaCreator

livemedia-creator is a tool that is part of lorax, it has the ability to make livecd's, raw disk images, and to do pxe2live. We plan to use it to make pxe2live for Atomic, the LiveCD's and ARM disk images in fedora.
Comment 1 Amanda Carter 2016-01-13 17:07:33 EST
Due to bugs found in existing LMC that will require some significant changes, the scope of this deliverable has been trimmed to only include livecds with support for disk images and pxe2live in F25 at the latest. Koji changes are in progress to use LMC for livecds.
Comment 2 Jan Kurik 2016-04-20 11:01:46 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 3 Dennis Gilmore 2016-04-21 08:06:18 EDT
We are building lives with livemedia-creator, it is testable and working
Comment 4 satellitgo 2016-05-19 22:34:34 EDT
Unable to build lives on my computer

livemedia-creator --ks flat-fedora-live-soas.ks --logfile /tmp/lmc-logs/livemedia-out.log --no-virt --resultdir /tmp/lmc --project Fedora-SoaS-Live --make-iso --volid Fedora-SoaS-Live-remix--iso-only --iso-name Fedora-SoaS-Live--remix.iso --releasever 24 --title Fedora-SoaS-Live --macboot


ksflatten -v, --config fedora-live-soas.ks -o flat-fedora-live-soas.ks --version F24

"Only url and nfs install methods are currently supported. Please fix your kickstart file."

----------
This works
livemedia-creator --ks /home/satellit/koji-image-f24-build-13983677.ks --logfile /tmp/lmc-logs/livemedia-out.log --no-virt --resultdir /tmp/lmc --project Fedora-SoaS-Live --make-iso --volid Fedora-SoaS-Live-24-20160509.n.0 --iso-only --iso-name Fedora-SoaS-Live-x86_64-24-20160509-remix.iso --releasever 24 --title Fedora-SoaS-Live --macboot
Comment 5 Dennis Gilmore 2016-05-20 12:17:25 EDT
you will need to fix your kickstart, I believe the ones in git do not have a url line in them.
Comment 6 satellitgo 2016-05-20 21:18:08 EDT
what url do you recommend?
I put the URL from the koji-image-f24-build-13983677.ks in the flattened .ks 
but it fails as it claims I need to start networking first.

Has anyone tried testing using https://pagure.io/fedora-kickstarts/tree/f24
after ksflatten? to see if it is possible to use them?
Comment 7 satellitgo 2016-05-20 21:21:56 EDT
(In reply to satellitgo from comment #6)
> what url do you recommend?
> I put the URL from the koji-image-f24-build-13983677.ks in the flattened .ks 
> but it fails as it claims I need to start networking first.
> 
> Has anyone tried testing using https://pagure.io/fedora-kickstarts/tree/f24
> after ksflatten? to see if it is possible to use them?

https://pagure.io/fedora-kickstarts/blob/f24/f/fedora-repo-not-rawhide.ks
 does not work here
from https://pagure.io/fedora-kickstarts/blob/f24/f/fedora-repo.ks
Comment 8 Dennis Gilmore 2016-05-23 08:36:54 EDT
(In reply to satellitgo from comment #6)
> what url do you recommend?
> I put the URL from the koji-image-f24-build-13983677.ks in the flattened .ks 
> but it fails as it claims I need to start networking first.
> 
> Has anyone tried testing using https://pagure.io/fedora-kickstarts/tree/f24
> after ksflatten? to see if it is possible to use them?

The only changes made in koji is injecting a url line and changing the repos.
Comment 9 satellitgo 2016-05-26 11:00:35 EDT
(In reply to Dennis Gilmore from comment #8)
> (In reply to satellitgo from comment #6)
> > what url do you recommend?
> > I put the URL from the koji-image-f24-build-13983677.ks in the flattened .ks 
> > but it fails as it claims I need to start networking first.
> > 
> > Has anyone tried testing using https://pagure.io/fedora-kickstarts/tree/f24
> > after ksflatten? to see if it is possible to use them?
> 
> The only changes made in koji is injecting a url line and changing the repos.

https://wiki.sugarlabs.org/go/Fedora_24#livemedia-creator
works with ksflatten of pagure kickstart files for soas now
ksflatten -v, --config fedora-live-soas.ks -o flat-fedora-live-soas.ks --version F24

Note You need to log in before you can comment on or make changes to this bug.